Bug 784118 - User unable to change email address from /headpin/account
User unable to change email address from /headpin/account
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
urgent Severity urgent
: ---
: 1.0
Assigned To: Tom McKay
SAM QE List
:
Depends On:
Blocks: 703617
  Show dependency treegraph
 
Reported: 2012-01-23 16:12 EST by Eric Sammons
Modified: 2012-04-26 20:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
katello-httpd-ssl-key-pair-1.0-1.noarch candlepin-tomcat6-0.5.8-1.el6.noarch katello-headpin-0.1.122-2.el6.noarch katello-cli-headpin-0.1.13-2.el6.noarch katello-certs-tools-1.0.1-2.el6.noarch katello-headpin-all-0.1.122-2.el6.noarch thumbslug-0.0.21-1.el6.noarch katello-cli-common-0.1.32-2.el6.noarch katello-configure-0.1.49-2.el6.noarch katello-common-0.1.165-2.el6.noarch katello-trusted-ssl-cert-1.0-1.noarch candlepin-0.5.8-1.el6.noarch katello-glue-candlepin-0.1.165-2.el6.noarch katello-qpid-broker-key-pair-1.0-1.noarch
Last Closed: 2012-04-26 20:21:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-01-23 16:12:36 EST
Description of problem:
Navigating to the /headpin/account page via the li.hello element shows multiple account values that a user should be able to change, one such attribute is the user's email address.   However, clicking on the edit field or in the field does not change the field to a edit-able state; thus user is unable to modify their email addr.

Steps to Reproduce:
1. Login to SAM/headpin as admin
2. Navigate to the account settings page, li.hello (username in right corner)
3. Click on the Email field to make edit-able.
  
Actual results:
Field state does not change


Expected results:
Field should become write-able and user should then be able to change their email.
Comment 1 Jordan OMara 2012-01-25 10:27:45 EST
Appears fixed in latest tag (0.1.127)

Note You need to log in before you can comment on or make changes to this bug.